Welcome to the MacNN Forums.

If this is your first visit, be sure to check out the FAQ by clicking the link above. You may have to register before you can post: click the register link above to proceed. To start viewing messages, select the forum that you want to visit from the selection below.

You are here: MacNN Forums > Enthusiast Zone > Classic Macs and Mac OS > Ati extensions with OpenGL 1.1.2

Ati extensions with OpenGL 1.1.2
Thread Tools
Fresh-Faced Recruit
Join Date: Aug 2000
Location: SACRAMENTO
Status: Offline
Reply With Quote
Aug 9, 2000, 01:16 AM
 
I have OS 9.0 (not updated to 9.04) and 8.1 on the same machine and I am currently using OpenGl 1.1.2. I have a Ati Nexus video card and I want to make sure of some of the Ati extensions I now have installed: Should these be in System folder with this card:
1. ATI driver update 1.4.8 part of OpenGL 1.12
2. ATI graphics accelerator 4.7.3
I disabled ATI 3D accelerator taked about below in this posted answer from Pneumatic.
ATI's answer to what should be installed is their unversal driver installer is the only thing that should be installed with the Nexus card on a 9600. The ATI version numbers on the extsensions in OpenGl 1.1.2 and later version for 9.04 which I am not using are newer. Are these for G3's and G4's only or should the newer versions of the same extensions installed by the Unversal installer 420 be in place as I have it currently taken from OpenGl 1.1.2.
"Yes, the ATI 3D Accelerator extension is *NOT* for Rage 128 chipsets, it is for the Rage Pro.
Delete it, you will not only get slightly better framerates, but increased stability as well. Unreal used to crash horribly on me until I did.

Would be nice if installers would see what card you have and not install this extension. Or better yet if the iMacs/G4's didn't come with it installed!"

The above was posted by pneumatic
     
pneumatic
Guest
Status:
Reply With Quote
Aug 10, 2000, 01:05 PM
 
Originally posted by Etaz:
I have OS 9.0 (not updated to 9.04) and 8.1 on the same machine and I am currently using OpenGl 1.1.2. I have a Ati Nexus video card and I want to make sure of some of the Ati extensions I now have installed: Should these be in System folder with this card:
1. ATI driver update 1.4.8 part of OpenGL 1.12
2. ATI graphics accelerator 4.7.3
I would upgrade to GL 1.1.3 (I believe this is the latest release) which offers significant performance gains on the R128 chipset, specifically with multi-texturing and lightmaps in games like Q3. Of course if you don't play Q3 1.1.2 is probably fine

I know driver versions can get very confusing! But, I would say to upgrade everything to the latest version you can find, while disabling your earlier versions and keeping them just in case things get broken. If you update to the latest releases from Apple, they should work fine with your Nexus card. You can probably even mix drivers from the ATi install (and keep the ATi panel and menu bar thing) without much problem.

In short, use the latest versions while hanging on to earlier ones. If things work fine, then keep the latest versions. If not, then go back to the old ones! And disable that ATi 3D accelerator if you're on a R128!

     
pneumatic
Guest
Status:
Reply With Quote
Aug 10, 2000, 01:09 PM
 
Just as an addendum for you, I swiped a Rage Orion card from work and took it home one weekend to stick in my B&W G3 (because I have a Rev 1 machine with the slower clocked video card).

I installed the ATi extensions, and the machine wouldn't work. So I disabled the ATi extensions that came with the card and used the Apple ones, and the machine worked great.

Just goes to show you have to play around with these things
     
Etaz  (op)
Fresh-Faced Recruit
Join Date: Aug 2000
Location: SACRAMENTO
Status: Offline
Reply With Quote
Aug 11, 2000, 02:09 AM
 
Here's the deal pneumatic,
And thank you for the answer. I bearly got 9.0 on a separate partition. Multiple clean install failures on the 8.1 partition has left it the main load partition. The partition with 9.0 has been a test bed partition without applications. I could not get 9.0 to install booted from the CD. I had to burn a copy with the installer memory bumped up as I kept getting installer Tomb errors. Then I booted from another partition with extensions off except CD driver and installed from CD to the current partition. I have a policy now OS installs or updates to OS from downloads. Application updates are fine. 9.04 is not available on CD. I do not trust the download install process with the above problems and also having Quicktime updates fail as I believe your answer was the Ati driver extensions from Apple will work in 9.0 even though they are for 9.04 per Apple. The OpenGl update I believe will not work in 9.0, correct me if I am wrong. I am in the process of a Three fold upgrade,
1. Get rid of my legacy drive which I believe has a Apple rom problem because when I pulled it out of the chain my C key boot from the CD came back. It was totally not working. I already replaced the cable with a Granite and a active terminator 50pin. I have a 68 pin adapter and I am going to a faster SCSI 160 drive which will be transplanted to a G4 when Apple bumps the bus speeds up. The new drive will run slow on this bus but it will be much faster than the Old Legacy Seagate. I do not normally run off this drive I run off my LVD Ultra2 drive that has 3 partitions. 8.1, 9.0 and a empty partition. The legacy is the backup and the intention was to have it all in HFS+ and 9.0 but this has not taken place yet.
2. Replace the 176 mgs of ram existing with two quality new 128's and keep my relatively new Viking 32's and dump the rest.
3. Xlr8 10X 450 MHz G3 zif upgrade, I have the carrier now but am awaiting a backorder for the ZIF.
My basic question was, were there any ATI extensions loaded by OpenGL updates that were specific to Apple/ATI OEM cards only not my aftermarket Nexus? I believe your answer was the installer, other than the RagePro extension, installs only the needed items, and 9.04 will give me the most recent versions.
     
pneumatic
Guest
Status:
Reply With Quote
Aug 11, 2000, 01:27 PM
 
Sorry to hear of your woes!

In short answer, yes I do believe the GL install is relative to the OEM boards. But again, these drivers should work fine with the Nexus. Any additional drivers the Nexus might require should already be installed from the ATi installer (i.e., the menubar thing, ATi displays, etc.). There shouldn't be any extensions that the OEM boards use that the Nexus or Orion don't. They all use the memory manager, ATi accelerator, ATi 128 3D, etc...

If the extensions are working good, don't worry about it too much! I'm not sure, but isn't the only difference between the Nexus and the Orion the amount of on board memory? I doubt the board needs specific extensions to access it.

One more thing, do you have access to a "software restore" CD? I've had trouble like you mentioned with the installer not running correctly (on a 7300 machine here at work) when trying to update to OS 9. But luckily, I was able to use the disk image from one of the Software Restore CD's from a new iMac. They have a disk image of the iMac (or whatever machine it's for) HD on them, all I had to do was boot, then copy over the new System folder, drop my custom extensions and prefs I wanted to keep in, and reboot. Actually faster than the installer too, plus it works

[This message has been edited by pneumatic (edited 08-11-2000).]

[This message has been edited by pneumatic (edited 08-11-2000).]
     
   
Thread Tools
Forum Links
Forum Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On
Top
Privacy Policy
All times are GMT -4. The time now is 07:03 PM.
All contents of these forums © 1995-2014 MacNN. All rights reserved.
Branding + Design: www.gesamtbild.com
vBulletin v.3.8.8 © 2000-2014, Jelsoft Enterprises Ltd., Content Relevant URLs by vBSEO 3.3.2